Bug 283744 - Gratuitous warning messages on loading project file
Summary: Gratuitous warning messages on loading project file
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-10 23:32 UTC by Kip
Modified: 2013-11-06 17:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.1


Attachments
Project file which gives the warnings when exporting diagram images. (111.18 KB, application/x-bzip)
2011-10-10 23:32 UTC, Kip
Details
Updated project file which gives the warnings when exporting diagram images. (111.20 KB, application/x-bzip)
2012-02-02 00:43 UTC, Kip
Details
Diff against trunk/KDE/kdesdk/umbrello r1278121 (1.36 KB, patch)
2012-02-04 19:02 UTC, Oliver Kellogg
Details
Diff against trunk/KDE/kdesdk/umbrello r1278145 (3.07 KB, patch)
2012-02-04 22:25 UTC, Oliver Kellogg
Details
Modification of attachment 68418: undef generalizations removed (109.93 KB, application/x-bzip)
2012-02-04 22:39 UTC, Oliver Kellogg
Details
Diff against trunk/KDE/kdesdk/umbrello/umbrello/umlobject.cpp r1274699 (1.38 KB, patch)
2012-02-05 20:17 UTC, Oliver Kellogg
Details
diff against trunk/KDE/kdesdk/umbrello/umbrello/widgets/widgetbase.cpp r1273456 (437 bytes, patch)
2012-02-09 19:26 UTC, Oliver Kellogg
Details
ducheck.sh - Definition/Use Check for xmi.id's in Umbrello XMI files (1.90 KB, application/x-shellscript)
2012-02-09 22:59 UTC, Oliver Kellogg
Details
updated ducheck.sh with explanation of function (2.31 KB, application/x-shellscript)
2012-02-10 10:43 UTC, Oliver Kellogg
Details
Usages of the "undef" data type (35.89 KB, text/plain)
2012-02-10 11:47 UTC, Oliver Kellogg
Details
modification of attachment 68502 (further cleanup) (109.67 KB, application/x-bzip)
2012-02-15 06:06 UTC, Oliver Kellogg
Details
modification of attachment 68502 (further cleanup) (109.48 KB, application/x-bzip)
2012-02-15 21:16 UTC, Oliver Kellogg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kip 2011-10-10 23:32:44 UTC
Created attachment 64398 [details]
Project file which gives the warnings when exporting diagram images.

Version:           unspecified (using KDE 4.5.5) 
OS:                Linux

I am using Umbrello UML Modeller 2.5.5 from svn r1256389. When I try to export my diagrams from the command line, they export fine, but Umbrello spits out a lot of warning messages of what are probably junk residual artifacts littering project file that it some how added at some point in time.


Reproducible: Always

Steps to Reproduce:
Run the following:
$ umbrello --export svg Engine.xmi --directory Engine

Actual Results:  
$ umbrello --export svg Engine.xmi --directory Engine
umbrello(4854)/kdeui (kdelibs): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
umbrello(4854)/kdeui (kdelibs): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
umbrello(4854) KXMLGUI::ActionList::plug: Index  18  is not within range (0 -  11 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  116 
umbrello(4854): loadFromXMI(UMLRole): id  "eGBqqwbL28pg"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ky0W686ecP7q"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "u7GzV8xVG3ND"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "6pT7ObogeYVm"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "iW0BJMZr9CHD"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "hoWBqwdJc6BR"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "OuZEtkkmq36O"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "omorg6ZI7jRf"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "chUkkKEAdmQ5"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "xR11uPs0K8fz"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "JLnCng7CDIfQ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "8qD0lRHChZgE"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ml6ub2ZNoCDG"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "wK0DshxowPFi"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "1XJpjU3dn3qd"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "llRf9hN8hJV0"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "wDshEiKxSkcb"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Pyh6HC7AZAQv"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ZzlzjMa8IHFX"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "RMi0W8uij8Rl"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9zctZdALDukL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "YdqsEX70FLAt"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Wke6qyYf0Zsh"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "SGM7BZq1P6Xj"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "5g93E1leG7lR"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "eZQ1dwkGLVns"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "nyTOFHg9ul5J"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "GVAswKNaHkpJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "QkeVgjqZ5FbZ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "fMV62pYW4RUb"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "bClcQzBNiuYJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "YIgwAYqvN2m7"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "tW79RGHd6Fkd"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FBK3x9RrdKXB"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "oH3V9oFVM3NL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FrkvLGJfOrQ8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "U80lNKyRKKLC"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ayePBufoSrMV"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "IGdcYwm9vOW4"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "J9rjyDFptHEy"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Q9q95nlsWLBA"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "cczbsmNIE5P2"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "jgICNHbiHFOu"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "nJMgYxSonEv4"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "kkzyibmD1NLN"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "qGfvh4LfcOvd"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "JQ5NP82Fkuum"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Kja1jLpzuyBH"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "QssLttvo7on7"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "IjApbtA5GQxA"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "CHLwFYHQtBdy"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "r7bQkhbI4NTZ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "lb9SHr36aY2x"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "sRqZerOTwHHx"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "TUCzW9rwxQan"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "n1h2Iet0ZbE5"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "rhizs6ahddZf"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "VOtcWSitmB8u"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "eq7QjDQaaAzY"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "y78vpZf9vgGx"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "r3sSEpyAw66j"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "fjrYP5VqND0x"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "iJJ3R9NtntWj"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "x2JyDI47mg3G"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "0rGHoOfK93RJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "1l3iYjS6Ap12"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "XA09K8BBaEnW"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Fc3csLuMOUya"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "QaqFgI0XPRti"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "bvLxOFuf9FjM"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "vz5rInxsxcK6"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "N5decDQGXa5D"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9bj6C3CZ6oBi"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "1ZyW72krZdCQ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "CKUVKY6N8VzE"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "pYsbTk14mGh7"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Qsb9RgKb65yS"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "jcclw4dmXOiO"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "YeRw9FLVBZYL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Ru8m7XKgZvfG"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ilyLvArfugsP"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "idDv0qYx0ZNm"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "3g1WcXoYuUS9"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "qKF2EoSvFgvr"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "CAe6e4DSMTSa"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FvVSZOKxpRnf"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "SZ6p2YPGRti1"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "F2w4UjiiADQG"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "XkgIMwgAygDB"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "xdzBTS1D6RIF"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "7WkGiJdArpCL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "o7EHklaHmlsN"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ZPxhQPjepVWZ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "EmmaCm2SklIq"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "m2vbVPAj9xHM"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "hImR12FQb6pf"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "gQewMiScvh80"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "iinfbNqysA1a"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "idlztqC2yHN9"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "gy17oAZQifGo"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9SpArPjceySC"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "gswgWHczaLgp"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "5Aqh8Ito8qUc"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "74cgOIVtJlQT"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9oH1JXbhfdjE"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ALKcHAqYJpTW"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "OTwlR2EPj0HY"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "SBJOyQ6IMO9t"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Qn9a2SBJi14Q"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "N0fdkgY7OGhU"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ftF6myAhxg0g"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "jqkQS522qxNd"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "WkRROR78FqWi"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "vZkjW5MGhX4Y"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "0KCm5fHUeLPb"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "hCtum2M4e9kC"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Jm14ZV70IEaA"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "wjstVwttHOvX"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "PB55cVvu8xNp"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "eVy7mkxh9LnB"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "w8OWGkww9pSq"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "1oG8jkS2ve73"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Ut4VbE9BvDFK"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "rP6Mq2lVjnmd"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "B3yowSySKkbq"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "bXexrSzoCPUd"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "2ajMIIBtnnpc"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FmQP9s3sw7Cb"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ouX0vrghOn4P"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "686oiFQqTOLK"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "sreCn66jlAFA"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "yIMq7Qq9Az8Q"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "P7kzZbm7kcfG"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ogK0uLcgvy02"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "GpRWIvofAyq7"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FVoIjn5vXNKh"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "UWzb5Q1VTtqz"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "DW0uxvR9fCtg"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "q1qHztAOcT4L"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "C1JBCKSSQIWJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "rIr0c90ohf5k"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "5intYnnN4Ke8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "TT5NZxgF4bUt"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Q22FPgILYx1M"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9IzkP1eukqbQ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ZzOnR753Udf1"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "yO0nTSkZPh3P"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "eWxawckQyygh"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Rge99gxXxFDW"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "JPqwXh5JJxGK"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "1D87B4goYXgf"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "JxpoDIIO4E11"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "hM68y80MPdOE"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "hycrxNfRD8BF"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "dJ7DPwYXDExc"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "QRWNQDWPBlKP"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "yO8T83BjYXpE"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "enTT9rdZATS1"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "39u9N6pxS7vJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "tew26GCQxscM"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "aPHbPRtZxm1h"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "lyQBQi4AMooz"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "AiZ86jcJu73j"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "KHwbyAQbjERn"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9cZHWKBXkAf8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ZTbn4382m6Ji"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "4ZLbSlZoIREO"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "2lnorGayEljL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "7IZNjnjlYWYP"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "k6Lyp2HA6EI9"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "PugxQCL9Ie57"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "hLHlZauWv8pb"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "l2oUkW2V5YsM"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ecczX7E32ruE"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "NZVT5LnixPhT"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "XtWXkOlBMFug"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "5WvfU14AvLwZ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "jaLaIKI7G3CP"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "0VHjV5v7cK7R"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "RcrSRmCPs0qJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "CjcPDI79qO1L"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "yMQgzCwEVagA"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Ppp1EVUCVbjw"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "N4RQSJpgBjJ8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "IWpaaAYV8C7a"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "P3JpaS6jkeD9"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "pxRx9ZVXaoKA"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "EQty255whUOG"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "f76FvQN7oF3r"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "I8lza9EuNJdH"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Ifh7siwAoh7O"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "qLIDfvSTDOhc"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "fchUOGtLMqrm"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "qEQg7wIauW5k"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Jk6PC0HvULwL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "JyhqJJDoFy7z"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "QR0h8MG74MDC"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "RlgA7KmH4s1B"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "AcjNB78SxcoN"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "LqgGOB2IArCG"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "uyhm6eKQzEhD"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "m3flxiaYuEUU"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "iSQTdIvbB2qX"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "6KXLaZIZYv83"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "AigYr688pjMU"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "TKpu5nHLXIJZ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "3aCCYleUbUBO"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "P93XWdmpxZrn"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "lvvWxYScbvb6"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "e1yYTHfQw1Po"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "g5rO7szkteWe"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "9TmoGqrTSeO5"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "JBsGq5pXszuD"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "RZW4RFIzDhgR"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "CrT5iLJZtuxR"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "iJiorjsk12MX"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "j02iegKCvWFk"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "u483q5a8jGIN"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "mrHWS8BcBtDe"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "N8I0MNzR3srT"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "4zuRDzPk7OLn"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "GoxFN0TUnEhV"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "gcgauUcRhjYb"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "xXHdPfyxrxEc"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "c0CnGUgwKjtP"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "gsviOGPoaA5d"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "R7sua1ml0D8g"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "7vNJr8N9l7KU"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "8sRJVXxOd1Ey"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FSVwngdF3nf8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "kFmEBnFMQJ5u"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "LDQ6MgGPw4gY"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "uy0j3K4iqPCa"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "dav1Iobf4Omm"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "tqvdfdQ3xyXv"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "WVIQiughNECq"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "dFC5p40lycb6"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "FaKulf63e4NH"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Oi4hMB06Wcim"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "RzzfNNUAN7ZK"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "uX2WCIdbCvW0"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "SqbZHy54anIu"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "VWI6BmuLCJ1P"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Xcj3YqNZmIB5"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "itGFLvV6Esov"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "7RTe5cigC1k3"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "3sBGTfRJC36v"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "GFzzBtbSDJT8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "8V3uX1r27Lug"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "0Z8sSr5BXYvD"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "2VvAUl8sd4HI"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ifv1KdtxmDEL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Lizz2iFWH3Kh"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "kcRkeoZMcjpL"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "P9tgBBLtlnbP"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "ZAkAuZVTC4Pl"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "fpuZ4JlTWu7E"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "6q2lraC1nqaK"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "MVWDrkzUrVCJ"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "nMXJ5yYgnH6S"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "LuzfDbwYBHce"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "edBaSAvH9fno"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "GzUPG53sgFT8"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "NONU2AIUNguT"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "Edu4VjrcJ1LY"  is already in use!!! Please fix your XMI file. 
umbrello(4854): loadFromXMI(UMLRole): id  "8rcMzyH06JU6"  is already in use!!! Please fix your XMI file. 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLListView::findView: returning 0 at UMLListView::findView 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(4854) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list

Expected Results:  
Expected no warnings.

See attached XMI project file to replicate my findings.
Comment 1 Kip 2012-02-02 00:43:08 UTC
Created attachment 68418 [details]
Updated project file which gives the warnings when exporting diagram images. 

Updated project file. Note how large the file size is, which I don't think is reasonable. It's 1.1 MB uncompressed.
Comment 2 Oliver Kellogg 2012-02-04 19:02:30 UTC
Created attachment 68491 [details]
Diff against trunk/KDE/kdesdk/umbrello r1278121

(In reply to comment #1)
> [...]
> Updated project file. Note how large the file size is, which I don't think is
> reasonable. It's 1.1 MB uncompressed.

Whew. Let's see...
Going through the file from top to bottom, the first strangeness is the "namespace" attribute at your stereotypes:

    <UML:Stereotype visibility="public" isSpecification="false" namespace="Logical View" isAbstract="false" isLeaf="false" isRoot="false" xmi.id="constructor" name="constructor"/>

The namespace should be "m1".
Studying the current Umbrello trunk code, it escapes me how this could be set otherwise.
Anyway, the attached patch adds a sanity check at UMLDoc::addStereotype() which makes sure the UMLObject::m_pUMLPackage of the UMLDoc::m_stereoList elements is always NULL, and also adds an explanation about this in stereotype.h.
More to come.
Comment 3 Oliver Kellogg 2012-02-04 22:25:41 UTC
Created attachment 68501 [details]
Diff against trunk/KDE/kdesdk/umbrello r1278145

The previous patch just added after-the-fact diagnostic.
Here's an improved patch that actually fixes the warnings:

umbrello(6472): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  "ot_Stereotype"
umbrello(6472): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  "ot_Stereotype"
umbrello(6472): Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  "ot_Stereotype"
...

It modifies UMLDoc::loadUMLObjectsFromXMI() to exclude stereotypes
from the Model_Utils::guessContainer(pObject) which forces a non-NULL
pObject->umlPackage().
Comment 4 Oliver Kellogg 2012-02-04 22:39:44 UTC
Created attachment 68502 [details]
Modification of attachment 68418 [details]: undef generalizations removed

Next strangeness: Lines 96 to 144 in your updated attachment contain
<UML:Generalization> forward declarations such as

 96:      <UML:Generalization xmi.idref="eZVzKmaN63EY"/>
 97:      <UML:Generalization xmi.idref="UtK1G9cT2Xvq"/>
 98:      <UML:Generalization xmi.idref="rILZQOb7Mq5Z"/>
          ...
143:      <UML:Generalization xmi.idref="zlQXBD5G2zcp"/>
144:      <UML:Generalization xmi.idref="8V27r65AJqG2"/>

Again it's not clear to me how the current umbrello trunk would
produce these.

The full declarations of those forward references are the following:

4391: child="A7B42ow89qzr" xmi.id="eZVzKmaN63EY" parent="5YNt8kmnmgLa"
4394: child="A7B42ow89qzr" xmi.id="UtK1G9cT2Xvq" parent="5YNt8kmnmgLa"
4397: child="A7B42ow89qzr" xmi.id="rILZQOb7Mq5Z" parent="5YNt8kmnmgLa"
4400: child="A7B42ow89qzr" xmi.id="z5N9XScULW6F" parent="5YNt8kmnmgLa"
4403: child="A7B42ow89qzr" xmi.id="2AjFqC9FNlSx" parent="5YNt8kmnmgLa"
4406: child="A7B42ow89qzr" xmi.id="ykZZyBdJvVSE" parent="5YNt8kmnmgLa"
4408: child="A7B42ow89qzr" xmi.id="kXSoCdaTQntY" parent="5YNt8kmnmgLa"
4477: child="A7B42ow89qzr" xmi.id="antkLV3A7orR" parent="A7B42ow89qzr"
4479: child="A7B42ow89qzr" xmi.id="e1ZbflKDYLst" parent="A7B42ow89qzr"
4486: child="A7B42ow89qzr" xmi.id="8OO9dcU2nai4" parent="A7B42ow89qzr"
4487: child="A7B42ow89qzr" xmi.id="53ZqbIsloGGK" parent="A7B42ow89qzr"
4490: child="A7B42ow89qzr" xmi.id="iEFwcZJBeZtB" parent="A7B42ow89qzr"
4491: child="A7B42ow89qzr" xmi.id="HiotHh4CYDcm" parent="A7B42ow89qzr"
4494: child="A7B42ow89qzr" xmi.id="9wWdIDutXiFD" parent="5YNt8kmnmgLa"
4598: child="A7B42ow89qzr" xmi.id="RcKZaqTR1PJv" parent="A7B42ow89qzr"
4601: child="A7B42ow89qzr" xmi.id="j4CqWw7hmeJg" parent="A7B42ow89qzr"
4602: child="A7B42ow89qzr" xmi.id="2ALZ4hxEotjK" parent="LHOxUwvDHn7q"
4634: child="A7B42ow89qzr" xmi.id="FmsvmBkviLBS" parent="A7B42ow89qzr"
4648: child="A7B42ow89qzr" xmi.id="PofuOTdyxF6B" parent="iQD8xtaj0Kh1"
4691: child="A7B42ow89qzr" xmi.id="YH555by16MGP" parent="A7B42ow89qzr"
4726: child="A7B42ow89qzr" xmi.id="CLguzlIzjY8H" parent="A7B42ow89qzr"
4738: child="A7B42ow89qzr" xmi.id="t3tca76HOQKp" parent="A7B42ow89qzr"
4739: child="A7B42ow89qzr" xmi.id="ahSy5klcPTuw" parent="A7B42ow89qzr"
4798: child="A7B42ow89qzr" xmi.id="ciLEs8UhyeNZ" parent="Unr6QOLA4cNS"
4799: child="A7B42ow89qzr" xmi.id="yA8xnVW1J4Mo" parent="Unr6QOLA4cNS"
4827: child="A7B42ow89qzr" xmi.id="rvV26XXZZiVO" parent="Z6l0G7dizCIB"
4847: child="A7B42ow89qzr" xmi.id="bGcCiwuhJ4BT" parent="A7B42ow89qzr"
4853: child="A7B42ow89qzr" xmi.id="RSzPjxyrxmQv" parent="A7B42ow89qzr"
4854: child="A7B42ow89qzr" xmi.id="enuODnwVhCPI" parent="A7B42ow89qzr"
4930: child="A7B42ow89qzr" xmi.id="brtzNr1rOzsg" parent="Z6l0G7dizCIB"
4993: child="A7B42ow89qzr" xmi.id="RTVaUK9dUQAC" parent="EkzSzCslqJj9"
5102: child="A7B42ow89qzr" xmi.id="NbgDKf88YXdA" parent="A7B42ow89qzr"
5103: child="A7B42ow89qzr" xmi.id="tXqS2ScDwosd" parent="A7B42ow89qzr"
5104: child="A7B42ow89qzr" xmi.id="ifJfU9IiKY3G" parent="A7B42ow89qzr"
5105: child="A7B42ow89qzr" xmi.id="qXdA4fOeDLJI" parent="A7B42ow89qzr"
5139: child="A7B42ow89qzr" xmi.id="S8tLa2yDxxC9" parent="A7B42ow89qzr"
5140: child="A7B42ow89qzr" xmi.id="W5FR2RbFiPmp" parent="A7B42ow89qzr"
5141: child="A7B42ow89qzr" xmi.id="9uvpHieLChhu" parent="A7B42ow89qzr"
5142: child="A7B42ow89qzr" xmi.id="hJZtyEnUg8Nl" parent="A7B42ow89qzr"
5143: child="A7B42ow89qzr" xmi.id="bBsdb8txmJNC" parent="rqQePvFsa01B"
5144: child="A7B42ow89qzr" xmi.id="x1ZkKuug8S4p" parent="qbJj0HWvduCM"
5147: child="A7B42ow89qzr" xmi.id="TptmbNjq4VL3" parent="5YNt8kmnmgLa"
5173: child="A7B42ow89qzr" xmi.id="Q193dBmQRQdF" parent="Unr6QOLA4cNS"
5225: child="A7B42ow89qzr" xmi.id="EYgLUVjc0f0P" parent="5YNt8kmnmgLa"
5259: child="A7B42ow89qzr" xmi.id="7YzzqPnu727q" parent="3LYscwNEdpUb"
5543: child="A7B42ow89qzr" xmi.id="1IXUAAe2aY3j" parent="A7B42ow89qzr"
5544: child="A7B42ow89qzr" xmi.id="6yxgWyNtY2iB" parent="A7B42ow89qzr"
5597: child="A7B42ow89qzr" xmi.id="zlQXBD5G2zcp" parent="A7B42ow89qzr"
5599: child="A7B42ow89qzr" xmi.id="8V27r65AJqG2" parent="Unr6QOLA4cNS"

The "child" of all these is xmi.id="A7B42ow89qzr" which is in line 94:

<UML:DataType stereotype="datatype" ... xmi.id="A7B42ow89qzr" name="undef">

This is a catchall placeholder which Umbrello generates for unresolvable
objects.

Looking at the "parent" xmi.id's, we have:

  94: <UML:DataType ... xmi.id="A7B42ow89qzr" name="undef">
      generalization of self !?!

 306: <UML:DataType ...  xmi.id="3LYscwNEdpUb" name="Ares::Handle&lt;Mesh>"/>

 397: <UML:Class ... xmi.id="5YNt8kmnmgLa" name="SubsystemManagerBase">

1483: <UML:Class ... xmi.id="iQD8xtaj0Kh1" name="SpotLightSource">

1994: <UML:Class ... xmi.id="Z6l0G7dizCIB" name="MultiFactory">

2048: <UML:Class ... xmi.id="Unr6QOLA4cNS" name="AudioDecoderBase">

4418: <UML:Class ... xmi.id="LHOxUwvDHn7q" name="exception"/>

5324: <UML:Class ... xmi.id="EkzSzCslqJj9" name="Resource">

5347: <UML:Class ... xmi.id="qbJj0HWvduCM" name="ResourceManager">

5394: <UML:Class ... xmi.id="rqQePvFsa01B" name="Singleton">

In the attached modification of your model, I have cleaned out the
<UML:Generalization>s referenced by lines 96 to 144.

The next step would be to grep for all references to the "undef" datatype:

  $ grep '"A7B42ow89qzr"' Engine_without_undef_generalizations.xmi

and decide how to change those references to something sensible.
Comment 5 Kip 2012-02-04 23:00:55 UTC
Hey Oliver. Thanks a lot for your help. You'll have to forgive me, as I am not familiar with the inner architecture of Umbrello so most of your monologue went over my head.

Do you want me to apply your latest patch to svn head, recompile, open your edited project file, resave, and then try exporting the diagrams again and watch for warnings on the console to see if they are still there?

I've been using Umbrello and building from source daily for a long time now and that may be why there is some older junk in the project file which may be relics or fingerprints of older versions of Umbrello.
Comment 6 Oliver Kellogg 2012-02-04 23:39:34 UTC
Hi Kip,

(In reply to comment #5)
> [...]
> Do you want me to apply your latest patch to svn head, recompile, open your
> edited project file, resave, and then try exporting the diagrams again and
> watch for warnings on the console to see if they are still there?

I've not yet arrived at that point - I'm just going through your file, writing down my observations, and trying to fix stuff as I progress.
The patch that I attached is not essential to the diagram export.

As written in comment #5,
> 
> The next step would be to grep for all references to the "undef" datatype:
> 
>   $ grep '"A7B42ow89qzr"' Engine_without_undef_generalizations.xmi
> 
> and decide how to change those references to something sensible.

I'm afraid this step is manual work. Apparently some older Umbrello version has mangled a few objects into the "undef" datatype.
Unfortunately Umbrello does not have a feature like "show usages" (of a given object - the old Rational Rose had this btw) and so I believe sticking to the XMI file is the only way to fix these references.

> I've been using Umbrello and building from source daily for a long time now and
> that may be why there is some older junk in the project file which may be
> relics or fingerprints of older versions of Umbrello.

Ah, that might explain why I have problems reconstructing what went wrong while looking at the current trunk code.
Comment 7 Kip 2012-02-04 23:45:19 UTC
Thanks Oliver. I'll stay out of your way while you reflect on the matter. I am a little scared to edit the file manually and risk mangling it or losing data. As you can see, it's a pretty big set of diagrams for an entire game engine and it would be a tragedy if I lost some data.
Comment 8 Oliver Kellogg 2012-02-05 20:17:53 UTC
Created attachment 68538 [details]
Diff against trunk/KDE/kdesdk/umbrello/umbrello/umlobject.cpp r1274699

Next strangeness: Approx. 266 warnings of the kind:
loadFromXMI(UMLRole): id  "eGBqqwbL28pg"  is already in use!!! Please fix your XMI file.
loadFromXMI(UMLRole): id  "ky0W686ecP7q"  is already in use!!! Please fix your XMI file.
loadFromXMI(UMLRole): id  "u7GzV8xVG3ND"  is already in use!!! Please fix your XMI file.
[... another 263 times ...]

It turns out this is an unfounded warning; see umlobject.cpp line 917ff:

    m_nId = STR2ID(id);
    if (m_BaseType == ot_Role) {
         // Some older Umbrello versions [...]
         UMLObject *o = umldoc->findObjectById(m_nId);

Apparently the UMLRole currently being loaded is somehow already known at the UMLDoc. As soon as we set this->m_nId, that change is also visible at the object registered at UMLDoc. Therefore the umldoc->findObjectById(m_nId) must return true.
Obviously the fix is to not assign m_nId before calling umldoc->findObjectById().
Comment 9 Kip 2012-02-06 01:03:00 UTC
It sounds like your on to something, though Umbrello's architecture is still way over my head. Still, it's interesting to follow your detective work.
Comment 10 Oliver Kellogg 2012-02-09 19:26:05 UTC
Created attachment 68657 [details]
diff against trunk/KDE/kdesdk/umbrello/umbrello/widgets/widgetbase.cpp r1273456

Next wierdness: Approx. 315 warnings of the kind:
AssociationLine::setAssociation: Parent is null. Can not connect SIGNAL/SLOT

The call stack of these warnings is as follows:
  /trunk/KDE/kdesdk/umbrello/umbrello/widgets/associationwidget.cpp:3948
  /trunk/KDE/kdesdk/umbrello/umbrello/widgets/associationwidget.cpp:68
  /trunk/KDE/kdesdk/umbrello/umbrello/umlview.cpp:3545
  /trunk/KDE/kdesdk/umbrello/umbrello/umlview.cpp:3442
  /trunk/KDE/kdesdk/umbrello/umbrello/folder.cpp:381
  /trunk/KDE/kdesdk/umbrello/umbrello/folder.cpp:474
  /trunk/KDE/kdesdk/umbrello/umbrello/umlobject.cpp:1067
  /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:2118
  /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:2106
  /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:1915
  /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:542

AssociationLine::setAssociation() has this in line 626:

    UMLView * view =  (UMLView *)m_associationWidget->parent();

and the view comes back as NULL.
The parent() method originates in class QObject.
The member m_associationWidget is of type AssociationWidget, and this class
inherits from WidgetBase which in turn inherits from QObject.

In widgetbase.cpp r1268720, the constructor of WidgetBase looks like this:

WidgetBase::WidgetBase(UMLView *view) : QObject(view)
{ ... }

However, this was changed in r1268798:

WidgetBase::WidgetBase(UMLScene *scene)
  : m_scene(scene)
{ ... }

Therefore the parent is no longer set in QObject.

The attached patch restores the previous setting of the parent in QObject
and thus removes the warnings mentioned above.
Comment 11 Oliver Kellogg 2012-02-09 22:59:44 UTC
Created attachment 68662 [details]
ducheck.sh - Definition/Use Check for xmi.id's in Umbrello XMI files

I take the liberty of changing the title according to my analysis:
The attached script reports no errors on attachment 68502 [details].
Comment 12 Kip 2012-02-10 02:22:16 UTC
Hey Oliver. Great work and fascinating. I'm eager to try your shell / perl script, but a little uncertain of the manner of its execution. Is the following the usage as you had intended?

$ cat Engine.xmi | ./ducheck.sh > Fix.xmi
Comment 13 Oliver Kellogg 2012-02-10 10:43:46 UTC
Created attachment 68673 [details]
updated ducheck.sh with explanation of function

(In reply to comment #12)
> [...] I'm eager to try your shell / perl script, but a little uncertain of
> the manner of its execution. Is the following the usage as you had intended?
> 
> $ cat Engine.xmi | ./ducheck.sh > Fix.xmi

No, I'm afraid it's not as brilliant as that.
In this version, it just reports the dangling objects and it is up to human intervention to actually change the XMI file.

I have added following comments in the script:

# NOTE: This script only _checks_ the XMI file, it does not modify it
#       and also does not create a second XMI file where the problems are
#       automatically repaired. The repair must be done manually according
#       to the errors reported by the script.
#
# Usage:  ducheck.sh <xmifile>
#         Replace <xmifile> by your XMI file name.
#         If nothing is printed to stdout then no problems were found.
Comment 14 Oliver Kellogg 2012-02-10 11:09:16 UTC
Comment on attachment 68662 [details]
ducheck.sh - Definition/Use Check for xmi.id's in Umbrello XMI files

obsoleted by attachment 68673 [details]
Comment 15 Oliver Kellogg 2012-02-10 11:47:57 UTC
Created attachment 68675 [details]
Usages of the "undef" data type

(In reply to comment #4)
> [...]
> The next step would be to grep for all references to the "undef" datatype:
> 
>   $ grep '"A7B42ow89qzr"' Engine_without_undef_generalizations.xmi
> 
> and decide how to change those references to something sensible.

I did this and found an interesting hint.
Right at the start of the attachment, we have:

<UML:DataType stereotype="datatype" visibility="public" isSpecification="false" namespace="Datatypes" isAbstract="false" isLeaf="false" elementReference="A7B42ow89qzr" isRoot="false" xmi.id="58disHkordQ4" name="GLfloat[16]"/>
<UML:DataType stereotype="datatype" visibility="public" isSpecification="false" namespace="Datatypes" isAbstract="false" isLeaf="false" elementReference="A7B42ow89qzr" isRoot="false" xmi.id="62pEao8eqKtO" name="GLfloat[4]"/>
<UML:DataType stereotype="datatype" visibility="public" isSpecification="false" namespace="Datatypes" isAbstract="false" isLeaf="false" elementReference="A7B42ow89qzr" isRoot="false" xmi.id="bmvyN1hi28V3" name="GLfloat[3]"/>

The elementReference="A7B42ow89qzr" points to the undef data type.
The names "GLfloat[16]", "GLfloat[4]", "GLfloat[3]" would strongly suggest that the undef type is "GLfloat".
@Kip: Can you confirm?
Comment 16 Ralf Habacker 2012-02-10 12:47:58 UTC
(In reply to comment #10)
> The attached patch restores the previous setting of the parent in QObject
> and thus removes the warnings mentioned above.

Thanks for pointing this out, which happened while merging the related part from soc-umbrello branch.

I applied this patch to trunk.
Comment 17 Oliver Kellogg 2012-02-10 21:20:34 UTC
(In reply to comment #1)
> [...]
> Updated project file. Note how large the file size is, which I don't think is
> reasonable. It's 1.1 MB uncompressed.

About the file size: Doing

$ sed -n 's/^.* <UML:\([A-Za-z]*\).*$/\1/p' Engine.xmi | sort -u

gives following elements:

Abstraction
Association
AssociationEnd
Attribute
BehavioralFeature
Class
Classifier
DataType
Dependency
Enumeration
EnumerationLiteral
GeneralizableElement
Generalization
Interface
Model
ModelElement
Namespace
Operation
Package
Parameter
Stereotype
TemplateParameter

Picking out the interesting ones from that list,

$ for i in Abstraction \
           Association \
           Attribute \
           Class \
           DataType \
           Dependency \
           Enumeration \
           EnumerationLiteral \
           Generalization \
           Interface \
           Operation \
           Package \
           Parameter \
           Stereotype
  do
    echo -n "$i : " && grep " <UML:$i " Engine.xmi | wc -l
  done

gives following numbers:

Abstraction : 1
Association : 133
Attribute : 250
Class : 402
DataType : 294
Dependency : 246
Enumeration : 15
EnumerationLiteral : 108
Generalization : 194
Interface : 1
Operation : 733
Package : 11
Parameter : 799
Stereotype : 29

Do these numbers look okay to you?
Comment 18 Kip 2012-02-10 22:21:23 UTC
Hey Oliver. I took a look at your usage of the "undef" text file, but I'm not really sure what I'm looking at. I'm not familiar with the internal architecture of Umbrello or the XMI schema. Sorry, so I am not much help with that.

As for the numbers in your last post, yes it is possible that there are that many of each type type / relation. It is a game engine, so it shouldn't be unusual to have a large number of things like Operation for instance.

I also ran your new ducheck.sh against the Engine.xmi and it didn't output anything on the console.

Just a heads up that I'll be out of town until Sunday night in case you need my help with anything.
Comment 19 Oliver Kellogg 2012-02-11 22:35:23 UTC
(In reply to comment #16)
> [...]
> I applied this patch to trunk.

Thanks.
Now that I re-obtained write access I will commit the other patches.
Comment 20 Oliver Kellogg 2012-02-11 23:08:16 UTC
SVN commit 1279514 by okellogg:

Apply attachment 68501 [details] :

umbrello/stereotype.h
- In class doc, mention that umlPackage() returns NULL for a stereotype,
  and explain why this is so.

umbrello/umlobject.cpp
- setUMLPackage(): Allow setting m_pUMLPackage to NULL (due to stereotypes.)

umbrello/umldoc.cpp
- loadUMLObjectsFromXMI(): Exclude stereotypes from the guessContainer()
  call in order to allow pObject->umlPackage() to return NULL.



 M  +6 -0      stereotype.h  
 M  +3 -1      umldoc.cpp  
 M  +6 -0      umlobject.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1279514
Comment 21 Oliver Kellogg 2012-02-11 23:20:59 UTC
SVN commit 1279515 by okellogg:

Apply attachment 68538 [details] :

loadFromXMI(): Do not assign m_nId before calling umldoc->findObjectById().

Quoting comment #8,
> 
> Apparently the UMLRole currently being loaded is somehow already known at
> the UMLDoc. [...]

Why this is so remains a mystery to me. AFAIK it should not be that way.



 M  +3 -2      umlobject.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1279515
Comment 22 Oliver Kellogg 2012-02-11 23:28:37 UTC
(In reply to comment #18)
> [...]
> As for the numbers in your last post, yes it is possible that there are that
> many of each type type / relation. It is a game engine, so it shouldn't be
> unusual to have a large number of things like Operation for instance.

In that case IMHO the file size is justifiable.

> I also ran your new ducheck.sh against the Engine.xmi and it didn't output
> anything on the console.

Okay.

All patches are committed to trunk now.
Can we set this to FIXED, then?
Comment 23 Oliver Kellogg 2012-02-12 21:22:58 UTC
(In reply to comment #21)
> [...]
> > Apparently the UMLRole currently being loaded is somehow already known at
> > the UMLDoc. [...]
> 
> Why this is so remains a mystery to me. AFAIK it should not be that way.

I have to correct myself: It is okay that way.
Setting a breakpoint before the "already in use" warning reveals:

#0  UMLObject::loadFromXMI (this=0x87b0b40, element=...) at /trunk/KDE/kdesdk/umbrello/umbrello/umlobject.cpp:930
#1  0x0833bedd in UMLAssociation::load (this=0x87b0ae0, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/association.cpp:320
#2  0x083f7498 in UMLObject::loadFromXMI (this=0x87b0ae0, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/umlobject.cpp:1067
#3  0x08365955 in UMLFolder::load (this=0x8687c30, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/folder.cpp:519
#4  0x08364b79 in UMLFolder::load (this=0x8687c30, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/folder.cpp:460
#5  0x083f7498 in UMLObject::loadFromXMI (this=0x8687c30, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/umlobject.cpp:1067
#6  0x083d5621 in UMLDoc::loadUMLObjectsFromXMI (this=0x8614fb0, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:2087
#7  0x083d5117 in UMLDoc::loadUMLObjectsFromXMI (this=0x8614fb0, element=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:2106
#8  0x083d69f1 in UMLDoc::loadFromXMI (this=0x8614fb0, file=..., encode=<value optimized out>)
    at /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:1915
#9  0x083d2830 in UMLDoc::openDocument (this=0x8614fb0, url=..., format=0x0)
    at /trunk/KDE/kdesdk/umbrello/umbrello/umldoc.cpp:542
#10 0x083b14b0 in UMLApp::openDocumentFile (this=0x8607ba0, url=...)
    at /trunk/KDE/kdesdk/umbrello/umbrello/uml.cpp:836
#11 0x08381c72 in initDocument (args=0x8568f68) at /trunk/KDE/kdesdk/umbrello/umbrello/main.cpp:125
#12 0x08382f26 in main (argc=12, argv=0xc) at /trunk/KDE/kdesdk/umbrello/umbrello/main.cpp:98

The hot spot here is #3 (folder.cpp:519) where loadFromXMI() is called on a newly created UMLObject. One line above (line 518), we have:

        pObject->setUMLPackage(this);

That is why the UMLRole is already present in the UMLFolder::m_objects when we come to association.cpp:320, getUMLRole(A)->loadFromXMI(tempElement).
Comment 24 Kip 2012-02-14 06:10:03 UTC
Hey Oliver. I just got back into town very early this morning so I haven't had a chance to test your hard work. I will be able to tomorrow (Tuesday) and get back to you.

Just so I am sure I understand, the original Engine.xmi file should be...

(1) ...still with baggage until I open it in svn head Umbrello until I resave it?

(2) ...still with baggage until I clean out what the ducheck.sh script identifies?

(3) ...still with baggage, but svn head Umbrello will suppress the gratuitous warning messages on the original Engine.xmi?

Or maybe something else?
Comment 25 Oliver Kellogg 2012-02-14 18:22:28 UTC
(In reply to comment #24)
> [...]
> Just so I am sure I understand, the original Engine.xmi file should be...
> 
> (3) ...still with baggage, but svn head Umbrello will suppress the gratuitous
> warning messages on the original Engine.xmi?

(3) comes closest.  As written in comment #22,

> > As for the numbers in your last post, yes it is possible that there are that
> > many of each type type / relation. It is a game engine, so it shouldn't be
> > unusual to have a large number of things like Operation for instance.
> 
> In that case IMHO the file size is justifiable.

Your mention of "baggage" would suggest that you have seen the file size increase without your adding contents. Is that true?
Do you have a backup copy / older version of your XMI file that could help identify this baggage?
Comment 26 Kip 2012-02-15 00:16:04 UTC
Hey Oliver. I tested the original Engine.xmi with the latest svn head of Umbrello. All of the 'Guess is Uml::ModelType::N_MODELTYPES - package not set correctly for  ""  / base type  "ot_Stereotype"' messages are gone now, along with all of the 'umbrello(8531): loadFromXMI(UMLRole): id  "eGBqqwbL28pg"  is already in use!!! Please fix your XMI file.' too. But I'm still seeing other messages. Take a look:

umbrello --export svg ../AresEngine/UML/Engine.xmi --directory Source/Information_For_Contributors/Engineers/Images/AresEngine > /dev/null
umbrello(9899)/kdeui (kdelibs): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
umbrello(9899)/kdeui (kdelibs): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
umbrello(9899) KXMLGUI::ActionList::plug: Index  18  is not within range (0 -  11 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLListView::findView: returning 0 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(9899) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list

What I meant by baggage was I thought there was some old residual junk in the file that needed to be removed and would be if I resaved using the latest source. Otherwise, I don't think I'd see any change in the file size.
Comment 27 Oliver Kellogg 2012-02-15 06:06:34 UTC
Created attachment 68813 [details]
modification of attachment 68502 [details] (further cleanup)

Cleaned out <UML:Dependency>s and <UML:Generalization>s to the "undef" object (xmi.id="A7B42ow89qzr") starting at line 4394, and also cleaned out all <UML:Dependency>s to xmi.id="mUjnGFSmy0ks" which was undefined.
Could you retry the diagram export on this?
Comment 28 Oliver Kellogg 2012-02-15 21:16:35 UTC
Created attachment 68833 [details]
modification of attachment 68502 [details] (further cleanup)

Oops, on the attachment 68813 [details] I somehow managed to smuggle in a new_package and a new_class. Removed those here.

BTW if you try trunk r1280255 you should no longer see warnings of the type "UMLListView::findView: returning 0". It turned out that during loadFromXMI(), this was a "normal" situation not warranting a warning.
Comment 29 Kip 2012-02-16 00:26:33 UTC
Hey Oliver. I just built off of latest svn. I am using the following Umbrello version:

$ umbrello --version
Qt: 4.7.0
KDE Development Platform: 4.5.5 (KDE 4.5.5)
Umbrello UML Modeller: 2.5.5-r1280148

After building from source, I re-exported the diagrams using your scrubbed version of the Engine.xmi (68833). This is the output I captured on the console:

$ umbrello --export svg ../AresEngine/UML/Engine.xmi --directory Source/Information_For_Contributors/Engineers/Images/AresEngine
umbrello(5529)/kdeui (kdelibs): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
umbrello(5529)/kdeui (kdelibs): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
umbrello(5529) KXMLGUI::ActionList::plug: Index  18  is not within range (0 -  11 
umbrello(5529)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list 
umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc in list
Comment 30 Oliver Kellogg 2012-02-16 21:49:33 UTC
(In reply to comment #29)
> [...]
> After building from source, I re-exported the diagrams using your scrubbed
> version of the Engine.xmi (68833). This is the output I captured on the
> console:
> [...]
> umbrello(5529) UMLCanvasObject::removeAssociationEnd: can not find given assoc
> in list 
> [... more of the same ...]

These messages happen upon closing the project. Again they are "normal" in the sense that nothing has gone wrong. Thus I will change the warning into a debug message.
For further work on junk artifacts, see bug 293042.
Comment 31 Oliver Kellogg 2012-02-16 22:05:28 UTC
SVN commit 1280354 by okellogg:

UMLCanvasObject::removeAssociationEnd(): Change uWarning() into uDebug().


 M  +1 -1      umlcanvasobject.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1280354
Comment 32 Kip 2012-02-16 22:50:07 UTC
Hey Oliver. It looks much cleaner now. Take a look at the output:

$ umbrello --export svg ../AresEngine/UML/Engine.xmi --directory Source/Information_For_Contributors/Engineers/Images/AresEngine
umbrello(6652)/kdeui (kdelibs): Attempt to use QAction "edit_undo" with KXMLGUIFactory! 
umbrello(6652)/kdeui (kdelibs): Attempt to use QAction "edit_redo" with KXMLGUIFactory! 
umbrello(6652) KXMLGUI::ActionList::plug: Index  18  is not within range (0 -  11 
umbrello(6652)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:

Thank you for your hard work. I've added you to the game credits.
Comment 33 Ralf Habacker 2013-11-06 17:22:43 UTC
set version-fixed-in from 4.8.1 changelog